<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Size extends CI_Controller
{
    function __construct()
    {
        parent::__construct();
        $this->load->model('Mukuran');
        $this->load->library('form_validation');
    }

    public function index()
    {
        $q = urldecode($this->input->get('q', TRUE));
        $start = intval($this->input->get('start'));
        
        if ($q <> '') {
            $config['base_url'] = base_url().'size?q='.urlencode($q);
            $config['first_url'] = base_url().'size?q='.urlencode($q);
        } else {
            $config['base_url'] = base_url().'size';
            $config['first_url'] = base_url().'size';
        }

        $config['per_page'] = 10;
        $config['page_query_string'] = TRUE;
        $config['total_rows'] = $this->Mukuran->totalRows($q);
        $size = $this->Mukuran->getLimitData($config['per_page'], $start, $q);

        $this->load->library('pagination');
        $this->pagination->initialize($config);

        $data = array(
            'size_data' => $size,
            'q' => $q,
            'pagination' => $this->pagination->create_links(),
            'total_rows' => $config['total_rows'],
            'start' => $start,
        );
        
        return view('size/Size_list', $data);
    }

   

    public function create() 
    {
        $data = array(
            'button' => 'Create',
            'action' => site_url('size/create_action'),
	    'id' => set_value('id'),
	    'ukuranMin' => set_value('ukuranMin'),
	    'ukuranMax' => set_value('ukuranMax'),
	    'namaukuran' => set_value('namaukuran'),
	    'biaya' => set_value('biaya'),
	);
        
        return view('size/Size_form', $data);
    }
    
    public function create_action() 
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->create();
        } else {
            $data = array(
		'ukuranMin' => $this->input->post('ukuranMin',TRUE),
		'ukuranMax' => $this->input->post('ukuranMax',TRUE),
		'namaukuran' => $this->input->post('namaukuran',TRUE),
		'biaya' => $this->input->post('biaya',TRUE),
	    );

            $this->Mukuran->insertData($data);
            $this->session->set_flashdata('message', 'Create Record Success');
            redirect(site_url('size'));
        }
    }
    
    public function update($id) 
    {
        $row = $this->Mukuran->first('id',$id);

        if ($row) {
            $data = array(
                'button' => 'Update',
                'action' => site_url('size/update_action'),
		'id' => set_value('id', $row->id),
		'ukuranMin' => set_value('ukuranMin', $row->ukuranMin),
		'ukuranMax' => set_value('ukuranMax', $row->ukuranMax),
		'namaukuran' => set_value('namaukuran', $row->namaukuran),
		'biaya' => set_value('biaya', $row->biaya),
	    );
return view('size/Size_form', $data);
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('size'));
        }
    }
    
    public function update_action() 
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->update($this->input->post('id', TRUE));
        } else {
            $data = array(
		'ukuranMin' => $this->input->post('ukuranMin',TRUE),
		'ukuranMax' => $this->input->post('ukuranMax',TRUE),
		'namaukuran' => $this->input->post('namaukuran',TRUE),
		'biaya' => $this->input->post('biaya',TRUE),
	    );

            $this->Mukuran->updateData( $data,$this->input->post('id', TRUE));
            $this->session->set_flashdata('message', 'Update Record Success');
            redirect(site_url('size'));
        }
    }
    
    public function delete($id) 
    {
        $row = $this->Mukuran->first('id',$id);

        if ($row) {
            $this->Mukuran->deleteData($id);
            $this->session->set_flashdata('message', 'Delete Record Success');
            redirect(site_url('size'));
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('size'));
        }
    }

    public function _rules() 
    {
	$this->form_validation->set_rules('ukuranMin', 'ukuranmin', 'trim|required');
	$this->form_validation->set_rules('ukuranMax', 'ukuranmax', 'trim|required');
	$this->form_validation->set_rules('namaukuran', 'namaukuran', 'trim|required');
	$this->form_validation->set_rules('biaya', 'biaya', 'trim|required');

	$this->form_validation->set_rules('id', 'id', 'trim');
	$this->form_validation->set_error_delimiters('<span class="text-danger">', '</span>');
    }

}

/* End of file Size.php */
/* Location: ./application/controllers/Size.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2019-08-28 01:25:48 */
/* http://harviacode.com */